from mother.speaker import *

#
##
### Mother Configuration File
##      -> Commented values are default values <-
#

  #                 #
  ###             ### 
  #  MOTHER TUNING  #
  ###             ###
  #                 #


#
##
# The MotherMap is the file where informations
# about database structure are stored.
# 
# Set here his location: to avoid problems, use
# an absolute path.
#
# Remember to launch mothermapper to create the
# Map file before to use Mother in this 
# environment.
##
#

MOTHER_MAP= '/my/mother/map'


  #                    #
  ###                ### 
  #  DATABASE ADAPTER  #
  ###                ###
  #                    #

#
##
### DB info
##
#

# If DB_HOST is None, Unix Sockets will be used (Unix only ;)

DB_HOST= 'localhost'
DB_NAME= "universe"
DB_USER= "space_man"
DB_PASSWD= "space_password"


#
##
### Threaded Environment
##
#

#
##
# Are you planning to use Mother in a threaded environment?
# For example, in a web application.
#
# If you want to use Mother in a threaded environment,
# you need to use Sessions. To see how, please, refer
# to the official documentation.
#
# In this case, you may want a pool of persistent connections,
# instead of creating a new connection for each session.
##
#

# DB_POOL= False

#
##
### How many connections in your Pool?
##
# You can specify a min and a max.
# `min' means that the pool will be initialized
# with `min' connections.
# When a connection is requested, but no connection
# is availbale, a new connection will be created if 
# `max' connections are not established yet.
# Otherwise, the request will wait until a connection
# will be available.
## 
#

# DB_POOL_MIN= 4
# DB_POOL_MAX= 10

#
##
### Timeout
##
# This is the timeout for the Queue. 
# A request will wait DB_POOL_TIMEOUT seconds:
# after that, an exception will be raised.
##
#

# DB_POOL_TIMEOUT= 30



    #           #
    ###       ### 
    #  LOGGING  #
    ###       ###
    #           #



#
## Which prefix for logs output?
#

# LOG_PREFIX= "Mother"

#
## Logging with colors?
#

# LOG_COLOR= True

#
##
# LOG_LEVEL 
# 
#  Increasing:
#
#   - DBG_CRITICAL
#   - DBG_ERROR   
#   - DBG_WARNING 
#   - DBG_INFO    
#   - DBG_INSANE
#   - DBG_NOISE
#   - DBG_SOFT 
#   - DBG_NORMAL
#
#  Use DBG_WARNING if you want to see
#  only errors and warnings, for example.
#
#  To disable logging, use: 
#
#   - DBG_NONE  
##
#

# LOG_LEVEL= DBG_INFO

#
## Log to standard output?
#

# LOG_TO_STDOUT= True

#
## 
# Log to file?
# If yes, specify here the file to be used, 
# otherwise set LOG_TO_FILE to None
#
# If enabled, you can use log rotation 
# capability: each LOG_FILE_ROTATE hours,
# the log file will be rotated.
# A LOG_FILE_NUMBER number of files will be
# maintained.
##
#

# LOG_TO_FILE= None

#
## Rotate the log file every day
## and maintain logs for a week:
#

# LOG_FILE_ROTATE= 24
# LOG_FILE_NUMBER= 7

#
##  
#  Unix Only
#  Log to Syslog? If yes, which facility? 
#  Note that to use this feature, you have to
#  enable TCP in your syslog configuration.
#  Facilities definitions are in `speaker.py'
##
#

# LOG_TO_SYSLOG = False
# LOG_FACILITY  = LOG_USER
# LOG_SERVER    = ('localhost', 514)

#
## 
# Enable SMTP logging?
# If you enable SMTP logging, use Speaker.log_mail()
# to send log via mail.
##
#

# LOG_TO_SMTP= False

#
## If LOG_TO_SMTP is True, set the following:
#

# LOG_SMTP_SERVER=  'localhost'
# LOG_SMTP_SENDER=  'debug@debug.debug'
# LOG_SMTP_RCPT=    'destination@debug.debug'
# LOG_SMTP_SUBJECT= 'debug message from Mother'

